### Method

# FwupdPlugin Device add_instance_str

since: 1.7.7

#### Declaration [src]

    void
    fu_device_add_instance_str (
      FuDevice* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Assign a value for the `key`.

Available since: 1.7.7

#### Parameters

`key`

  Type: `const gchar*`

  String.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.